Installer - Bug #33577

Foreman Puppet plugin is enabled in the migration even if Foreman is disabled

09/28/2021 02:48 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script
Target version: 3.0.1
Difficulty: Fixed in Releases: 3.0.1,3.1.0
Triaged: Yes Found in Releases:  3.0.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/723,
https://github.com/theforeman/foreman-i
nstaller/pull/726

Description
When the user has used --no-enable-foreman the Foreman Puppet plugin should not be enabled.

Associated revisions

Revision ce89a30b - 09/29/2021 03:21 PM - Ewoud Kohl van Wijngaarden
Fixes #33577 - Only enable Foreman Puppet plugin with Foreman

If the user passed in --no-enable-foreman then the Foreman plugin should
not be enabled. The same is true for the CLI side of it.

The add-cli migration is changed to respect an already present option
that is false in order to properly test this change.

History

#1 - 09/28/2021 02:53 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/723 added

#2 - 09/30/2021 08:55 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#3 - 09/30/2021 09:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset installer|ce89a30b315e729a45101a8707fcf88f9e9a39c8.

#4 - 10/13/2021 12:56 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/726 added

#5 - 10/18/2021 12:43 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases 3.0.1 added
